#include <bits/stdc++.h>
#define endl '\n'
#define ll long long

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0);
    ll N, L, idx = -1;
    cin >> N >> L;
    vector <ll> H(N + 1);
    for(int i = 1; i <= N; i++) cin >> H[i];
    for(int i = 1; i <= N; i++) {if(H[i] <= L) {idx = i; break;}}
    cout << idx << endl;
    return 0;
}